const headers = {
    "modbus-tcp": [{
            InfoPointName: "SlaveID",
            InfoPointCode: "SlaveId",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "RegistersAddress",
            InfoPointCode: "RegistersAddress",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "RegistersQuality",
            InfoPointCode: "RegistersQuality",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "ConvertType",
            InfoPointCode: "ConvertType",
            InputMode: "select",
            DataSource: [{
                    Code: "1",
                    Name: "位"
                },
                {
                    Code: "2",
                    Name: "单字"
                }, {
                    Code: "3",
                    Name: "双字"
                }, {
                    Code: "4",
                    Name: "四字"
                }
            ],
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "RevertRule",
            InfoPointCode: "RevertRule",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        }
    ],
    "bacnet-ip": [{
            InfoPointName: "设备标识",
            InfoPointCode: "DeviceId",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "实例功能号",
            InfoPointCode: "InstanceNumber",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "数据类型",
            InfoPointCode: "DataType",
            DataSource: [{
                    Code: "1",
                    Name: "analogInput"
                },
                {
                    Code: "2",
                    Name: "analogOutput"
                }
            ],
            InputMode: "select",
            Visible: true,
            FirstTag: ""
        }
    ],
    "opc": [{
        InfoPointName: "点位编码（统一标识）",
        InfoPointCode: "Item",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    }],
    "knx": [{
        InfoPointName: "组地址",
        InfoPointCode: "GroupAddress",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    }],
    "mqtt": [{
            InfoPointName: "DeviceId",
            InfoPointCode: "DeviceId",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "Item",
            InfoPointCode: "Item",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        }
    ],
    "amqp": [{
            InfoPointName: "Exchange",
            InfoPointCode: "Exchange",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "type",
            InfoPointCode: "Type",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        },
        {
            InfoPointName: "Routingkey",
            InfoPointCode: "RoutingKey",
            InputMode: "B1",
            Visible: true,
            FirstTag: ""
        }
    ]
}

let common = [{
        InfoPointName: "原始点位描述",
        InfoPointCode: "Description",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "值/单位说明",
        InfoPointCode: "ValueDescription",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "位置标签",
        InfoPointCode: "LocationFlag",
        InputMode: "myOwn",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "备注",
        InfoPointCode: "Remarks",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "原始数值",
        InfoPointCode: "pointValue",
        InputMode: "X",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "采集时间",
        InfoPointCode: "pointDate",
        InputMode: "X",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "使用",
        InfoPointCode: "Used",
        InputMode: "switchBtn",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "设备类型关键字",
        InfoPointCode: "KeyEquipmentType",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "设备参数关键字",
        InfoPointCode: "KeyEquipmentParameter",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    },
    {
        InfoPointName: "设备标识",
        InfoPointCode: "EquipmentMark",
        InputMode: "B1",
        Visible: true,
        FirstTag: ""
    }
]

/**
 * 
 * @param {数据源类型} type
 * 
 * @returns  headersArr
 */
function getHeaderSetting(type) {
    return headers[type].concat(common)
}

export default getHeaderSetting